# Function cif::pdb::reconstruct_pdbx(file&, const validator&)

- Defined in File pdb.hpp

## Function Documentation

bool cif::pdb::reconstruct_pdbx(file &pdbx_file, const validator &v)

  Reconstruct all missing categories for an assumed PDBx file.

  Some people believe that simply dumping some atom records is enough.

  Parameters:

    - pdbx_file – The cif::file that hopefully contains some valid data

    - v – The validator to use

  Returns:

    Returns true if the resulting file is valid